#include <bits/stdc++.h>
using namespace std;

int main(int argc, char const *argv[])
{
	int n, k;
	cin >> n >> k;
	vector<int> vec(n);
	for (int i = 0; i < n; ++i)
	{
		cin >> vec[i];
	}

	sort(vec.begin(), vec.end());
	int ans = 0;
	ans += vec[vec.size() - 1];
	for (int i = 0; i < k - 1; i++) {
		ans -= vec[i];
	}
	cout << ans << endl;
	return 0;
}